## imcode.server.document.textdocument
Class MenuItemComparator

    java.lang.Object
      com.imcode.util.ChainableReversibleNullComparator
          imcode.server.document.textdocument.MenuItemComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator

    public abstract class MenuItemComparator

extends com.imcode.util.ChainableReversibleNullComparator

See Also:
  Serialized Form

Constructor Summary
`MenuItemComparator()`

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)`
`java.lang.String` `toString()`

Methods inherited from class com.imcode.util.ChainableReversibleNullComparator
`chain, nullsFirst, nullsLast, reversed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### MenuItemComparator

    public MenuItemComparator()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)